| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jchuff.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jchuff.h"`

Go to the source code of this file.

## Classes
struct | savable_state
struct | huff_entropy_encoder
struct | working_state

## Macros
#define | JPEG_INTERNALS
#define | ASSIGN_STATE(dest, src) ((dest) = (src))
#define | emit_byte(state, val, action)
#define | MAX_CLEN 32 /* assumed maximum initial code length */

## Typedefs
typedef huff_entropy_encoder * | huff_entropy_ptr

## Functions
| METHODDEF (boolean)
| jpeg_make_c_derived_tbl (j_compress_ptr cinfo, boolean isDC, int tblno, c_derived_tbl **pdtbl)
| dump_buffer (working_state *state)
INLINE | emit_bits (working_state *state, unsigned int code, int size)
| flush_bits (working_state *state)
| encode_one_block (working_state *state, JCOEFPTR block, int last_dc_val, c_derived_tbl *dctbl, c_derived_tbl *actbl)
| emit_restart (working_state *state, int restart_num)
| encode_mcu_huff (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| finish_pass_huff (j_compress_ptr cinfo)
| htest_one_block (j_compress_ptr cinfo, JCOEFPTR block, int last_dc_val, long dc_counts[], long ac_counts[])
| encode_mcu_gather (j_compress_ptr cinfo, JBLOCKROW *MCU_data)
| jpeg_gen_optimal_table (j_compress_ptr cinfo, JHUFF_TBL *htbl, long freq[])
| finish_pass_gather (j_compress_ptr cinfo)
| jinit_huff_encoder (j_compress_ptr cinfo)

## Macro Definition Documentation

#define ASSIGN_STATE | ( |  | dest,
|  |  | src
| ) |  | ((dest) = (src))

Definition at line 41 of file jchuff.c.

#define emit_byte | ( |  | state,
|  |  | val,
|  |  | action
| ) |  |

Value:
{ *(state)->next_output_byte++ = (JOCTET) (val); \
if (--(state)->free_in_buffer == 0) \
if (! dump_buffer(state)) \
{ action; } }
dump_buffer
dump_buffer(working_state *state)
Definition: jchuff.c:278
val
int val
Definition: jpeglib.h:956
JOCTET
char JOCTET
Definition: jmorecfg.h:115

Definition at line 270 of file jchuff.c.

#define JPEG_INTERNALS

Definition at line 17 of file jchuff.c.

#define MAX_CLEN 32 /* assumed maximum initial code length */

## Typedef Documentation

typedef huff_entropy_encoder* huff_entropy_ptr

Definition at line 74 of file jchuff.c.

## Function Documentation

dump_buffer | ( | working_state * | state | ) |

Definition at line 278 of file jchuff.c.

INLINE emit_bits | ( | working_state * | state,
|  | unsigned int | code,
|  | int | size
| ) |  |

Definition at line 302 of file jchuff.c.

emit_restart | ( | working_state * | state,
|  | int | restart_num
| ) |  |

Definition at line 451 of file jchuff.c.

encode_mcu_gather | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 645 of file jchuff.c.

encode_mcu_huff | ( | j_compress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 476 of file jchuff.c.

encode_one_block | ( | working_state * | state,
|  | JCOEFPTR | block,
|  | int | last_dc_val,
|  | c_derived_tbl * | dctbl,
|  | c_derived_tbl * | actbl
| ) |  |

Definition at line 353 of file jchuff.c.

finish_pass_gather | ( | j_compress_ptr | cinfo | ) |

Definition at line 846 of file jchuff.c.

finish_pass_huff | ( | j_compress_ptr | cinfo | ) |

Definition at line 533 of file jchuff.c.

flush_bits | ( | working_state * | state | ) |

Definition at line 340 of file jchuff.c.

htest_one_block | ( | j_compress_ptr | cinfo,
|  | JCOEFPTR | block,
|  | int | last_dc_val,
|  | long | dc_counts[],
|  | long | ac_counts[]
| ) |  |

Definition at line 572 of file jchuff.c.

jinit_huff_encoder | ( | j_compress_ptr | cinfo | ) |

Definition at line 891 of file jchuff.c.

jpeg_gen_optimal_table | ( | j_compress_ptr | cinfo,
|  | JHUFF_TBL * | htbl,
|  | long | freq[]
| ) |  |

Definition at line 705 of file jchuff.c.

jpeg_make_c_derived_tbl | ( | j_compress_ptr | cinfo,
|  | boolean | isDC,
|  | int | tblno,
|  | c_derived_tbl ** | pdtbl
| ) |  |

Definition at line 179 of file jchuff.c.

METHODDEF | ( | boolean |  | ) |

Definition at line 89 of file jchuff.c.